Package wx :: Class FileSystemHandler

[frames | no frames]

## Type FileSystemHandler

              object --+
                       |
    CPPFileSystemHandler --+
                           |
                          FileSystemHandler

Proxy of C++ FileSystemHandler class

Method Summary
FileSystemHandler | `__init__(self)`
bool | `CanOpen(self, location)`
String | `FindFirst(self, spec, flags)`
String | `FindNext(self)`
String | `GetAnchor(self, location)`
String | `GetLeftLocation(self, location)`
String | `GetMimeTypeFromExt(self, location)`
String | `GetProtocol(self, location)`
String | `GetRightLocation(self, location)`
FSFile | `OpenFile(self, fs, location)`

Property Summary
| `Anchor`: See `GetAnchor`
| `LeftLocation`: See `GetLeftLocation`
| `MimeTypeFromExt`: See `GetMimeTypeFromExt`
| `Protocol`: See `GetProtocol`
| `RightLocation`: See `GetRightLocation`
| `thisown`: The membership flag

Property Details

### Anchor

See `GetAnchor`

  Get Method:
    `GetAnchor`(self, location)

### LeftLocation

See `GetLeftLocation`

  Get Method:
    `GetLeftLocation`(self, location)

### MimeTypeFromExt

See `GetMimeTypeFromExt`

  Get Method:
    `GetMimeTypeFromExt`(self, location)

### Protocol

See `GetProtocol`

  Get Method:
    `GetProtocol`(self, location)

### RightLocation

See `GetRightLocation`

  Get Method:
    `GetRightLocation`(self, location)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:39 2007 | http://epydoc.sf.net